Skip to main content
GET
/
moderation
/
keywords
/
{keywordId}
Get keyword
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/moderation/keywords/{keywordId} \
  --header 'apikey: <api-key>'
{
  "data": {
    "id": "profanity-list",
    "name": "Profane Words",
    "category": "word",
    "isCSV": false,
    "searchTerms": [
      "fuck",
      "nigger",
      "fuck",
      "nigger",
      "wanker",
      "cunt",
      "damn",
      "shit",
      "fag",
      "shithead",
      "jizz",
      "hellbitch",
      "retard",
      "cocksucker",
      "cock",
      "kill",
      "cunt",
      "kike",
      "twat",
      "bastard",
      "death",
      "asshole",
      "wop",
      "scumbag",
      "penis",
      "murder",
      "dick",
      "gook",
      "vagina",
      "rape",
      "bastard",
      "spic",
      "spunk",
      "beat"
    ],
    "createdAt": 1718354412,
    "updatedAt": 1718354412,
    "revisionId": "253157108b5294c4_profanity-list_1",
    "active": true,
    "default": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

keywordId
string
required

Keyword ID

Response

200 - application/json

Get Keyword

data
object